Replace VVF Certificate

Replace VVF Certificate
Replace the certificate of the given ingress component

Replace the certificate of the given ingress component

Request
URI
PUT
https://{api_host}/suite-api/api/integrations/services/certificate-management/{serviceKey}/certificates
COPY
Path Parameters
string
serviceKey
Required

service-key for which certificates need to be collected


Request Body

Replace certificates Request Body

VvfCertificateReplacementSpec of type(s) application/json
Required
"{\n  \"ingressType\" : \"fleet\",\n  \"certificateFullChain\" : \"-----BEGIN CERTIFICATE-----\\nMIIDXTCCAkWgAwIBAgIJALw6ZPPkKfpwMA0GCSqGSIb3DQEBCwUAMEUxCzAJBgNV\\nBAYTAkFVMRMwEQYDVQQIDApTb21lLVN0YXRlMSEwHwYDVQQKDBhJbnRlcm5ldCBX\\naWRnaXRzIFB0eSBMdGQwHhcNMjQwMTAxMDAwMDAwWhcNMjUwMTAxMDAwMDAwWjBF\\nMQswCQYDVQQGEwJBVTETMBEGA1UECAwKU29tZS1TdGF0ZTEhMB8GA1UECgwYSW50\\nZXJuZXQgV2lkZ2l0cyBQdHkgTHRkMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\\nCgKCAQEAw5zz5zz5zz5zz5zz5zz5zz5zz5zz5zz5zz5zz5zz5zz5zz5zz5zz5zz5\\n-----END CERTIFICATE-----\\n-----BEGIN CERTIFICATE-----\\nMIIDXTCCAkWgAwIBAgIJALw6ZPPkKfpxMA0GCSqGSIb3DQEBCwUAMEUxCzAJBgNV\\nBAYTAkFVMRMwEQYDVQQIDApTb21lLVN0YXRlMSEwHwYDVQQKDBhJbnRlcm5ldCBX\\naWRnaXRzIFB0eSBMdGQwHhcNMjQwMTAxMDAwMDAwWhcNMjUwMTAxMDAwMDAwWjBF\\n-----END CERTIFICATE-----\"\n}"
string
certificateFullChain
Optional

Certificate full chain to be replaced (ordered by Server certificate first)

string
ingressType
Optional

Ingress type (e.g., platform, fleet, instance, component)

Authentication
This operation uses the following authentication methods.
Responses
202

The certificate replacement task

Returns VvfTaskStatusResponse of type(s) application/json
"{\n  \"id\" : \"0ec68cbd-d8e7-3b25-b7dd-0654c12ded11\",\n  \"name\" : \"REPLACE_CERTIFICATE\",\n  \"status\" : \"PENDING\",\n  \"creationTimestamp\" : 510703739903,\n  \"lastUpdatedTimestamp\" : 510704219903,\n  \"message\" : \"Replace certificate is in progress\"\n}"
integer As int64 As int64
creationTimestamp
Optional

Task creation timestamp

string
id
Required

Task Id

integer As int64 As int64
lastUpdatedTimestamp
Optional

Last updated timestamp

string
message
Optional

Message

string
name
Required

Task name

string
status
Required

Task status

Possible values are : SUCCEEDED, PENDING, QUEUED, RUNNING, CANCELLED, ERROR, UNKNOWN, FAILED,

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/integrations/services/certificate-management/{serviceKey}/certificates